import 'package:flutter/material.dart';

class Anzahlen extends StatefulWidget {
  final TextEditingController losungAnz;
  final TextEditingController losungGes;
  final TextEditingController losungGen;
  final TextEditingController urinAnz;
  final TextEditingController urinGen;
  final TextEditingController oestrAnz;
  final TextEditingController oestrGen;
  final TextEditingController haarAnz;
  final TextEditingController haarGen;

  const Anzahlen(
      {super.key,
      required this.losungAnz,
      required this.losungGes,
      required this.losungGen,
      required this.urinAnz,
      required this.urinGen,
      required this.oestrAnz,
      required this.oestrGen,
      required this.haarAnz,
      required this.haarGen});

  @override
  AnzahlenState createState() => AnzahlenState();
}

class AnzahlenState extends State<Anzahlen> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Column(
          children: [
            Column(
              children: [
                Row(
                  children: [
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "Anzahl Losungen",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "davon eingesammelt",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      height: 20,
                    ),
                  ],
                ),
                Row(
                  crossAxisAlignment: CrossAxisAlignment.end,
                  children: [
                    Expanded(
                      flex: 6,
                      child: Align(
                        alignment: Alignment.bottomLeft,
                        child: Text(
                          "davon Genetikproben",
                        ),
                      ),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                  ],
                ),
                const Divider(
                  height: 40,
                ),
                Row(
                  children: [
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "Anzahl Urin-/Makierstellen",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "davon Genetikproben",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      height: 20,
                    ),
                  ],
                ),
                const Divider(
                  height: 40,
                ),
                Row(
                  children: [
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "Anzahl Oestrusblut",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "davon Genetikproben",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      height: 20,
                    ),
                  ],
                ),
                const Divider(
                  height: 40,
                ),
                Row(
                  children: [
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "Anzahl Haarproben",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      flex: 2,
                      child: Align(
                          alignment: Alignment.bottomLeft,
                          child: Text(
                            "davon Genetikproben",
                          )),
                    ),
                    const SizedBox(
                      width: 20,
                    ),
                    Expanded(
                      child: Align(
                          alignment: Alignment.centerLeft, child: TextField()),
                    ),
                    const SizedBox(
                      height: 20,
                    ),
                  ],
                ),
              ],
            )
          ],
        )
      ],
    );
  }
}
